@ECHO OFF
ECHO   HELLENIC SCENERY PROJECT 
ECHO.
ECHO   COASTLINE LAND WATER MASK DATA MODIFICATION
ECHO.
ECHO   MAKE SURE THAT YOU RUN THIS FILE INSIDE THE FS9 FOLDER!!
ECHO.
ECHO   CHECKING THAT ORIGINAL MICROSOFT FILES EXIST
ECHO   PRESS ANY KEY...
PAUSE


IF NOT EXIST SCENERY\ASIA\SCENERY\HP955170.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\ASIA\SCENERY\HP955180.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\ASIA\SCENERY\HP955190.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\ASIA\SCENERY\FL955180.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\ASIA\SCENERY\FL955190.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\ASIA\SCENERY\AB955180.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\ASIA\SCENERY\AB955190.ORG_BGL GOTO RECOMMEND_ABORT

IF NOT EXIST SCENERY\EURE\SCENERY\AB954180.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\AB954190.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\AB954170.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\AB953180.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\AB953170.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\FL953180.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\FL953170.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\FL954170.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\FL954180.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\FL954190.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\HP953170.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\HP953180.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\HP954180.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\HP954190.ORG_BGL GOTO RECOMMEND_ABORT
IF NOT EXIST SCENERY\EURE\SCENERY\ST954180.ORG_BGL GOTO RECOMMEND_ABORT

ECHO   NOW START RESTORING YOUR ORIGINAL MICROSOFT FILES
ECHO   PRESS ANY KEY...
PAUSE

RENAME SCENERY\ASIA\SCENERY\HP955170.ORG_BGL HP955170.BGL
RENAME SCENERY\ASIA\SCENERY\HP955180.ORG_BGL HP955180.BGL
RENAME SCENERY\ASIA\SCENERY\HP955190.ORG_BGL HP955190.BGL 
RENAME SCENERY\ASIA\SCENERY\FL955180.ORG_BGL FL955180.BGL
RENAME SCENERY\ASIA\SCENERY\FL955190.ORG_BGL FL955190.BGL
RENAME SCENERY\ASIA\SCENERY\AB955180.ORG_BGL AB955180.BGL
RENAME SCENERY\ASIA\SCENERY\AB955190.ORG_BGL AB955190.BGL
RENAME SCENERY\EURE\SCENERY\AB954180.ORG_BGL AB954180.BGL
RENAME SCENERY\EURE\SCENERY\AB954190.ORG_BGL AB954190.BGL
RENAME SCENERY\EURE\SCENERY\AB954170.ORG_BGL AB954170.BGL
RENAME SCENERY\EURE\SCENERY\AB953180.ORG_BGL AB953180.BGL
RENAME SCENERY\EURE\SCENERY\AB953170.ORG_BGL AB953170.BGL
RENAME SCENERY\EURE\SCENERY\FL953180.ORG_BGL FL953180.BGL
RENAME SCENERY\EURE\SCENERY\FL953170.ORG_BGL FL953170.BGL
RENAME SCENERY\EURE\SCENERY\FL954170.ORG_BGL FL954170.BGL
RENAME SCENERY\EURE\SCENERY\FL954180.ORG_BGL FL954180.BGL
RENAME SCENERY\EURE\SCENERY\FL954190.ORG_BGL FL954190.BGL
RENAME SCENERY\EURE\SCENERY\HP953170.ORG_BGL HP953170.BGL
RENAME SCENERY\EURE\SCENERY\HP953180.ORG_BGL HP953180.BGL
RENAME SCENERY\EURE\SCENERY\HP954180.ORG_BGL HP954180.BGL
RENAME SCENERY\EURE\SCENERY\HP954190.ORG_BGL HP954190.BGL
RENAME SCENERY\EURE\SCENERY\ST954180.ORG_BGL ST954180.BGL

IF EXIST SCENERY\WORLD\SCENERY\DEMATH10.ORG_BGL RENAME SCENERY\WORLD\SCENERY\DEMATH10.ORG_BGL DEMATH10.BGL

IF EXIST SCENERY\ASIA\SCENERY\HSPASIA001.BGL DEL SCENERY\ASIA\SCENERY\HSPASIA001.BGL
IF EXIST SCENERY\ASIA\SCENERY\HSPASIA002.BGL DEL SCENERY\ASIA\SCENERY\HSPASIA002.BGL
IF EXIST SCENERY\ASIA\SCENERY\HSPASIA003.BGL DEL SCENERY\ASIA\SCENERY\HSPASIA003.BGL
IF EXIST SCENERY\ASIA\SCENERY\HSPASIA004.BGL DEL SCENERY\ASIA\SCENERY\HSPASIA004.BGL
IF EXIST SCENERY\ASIA\SCENERY\HSPASIA005.BGL DEL SCENERY\ASIA\SCENERY\HSPASIA005.BGL
IF EXIST SCENERY\ASIA\SCENERY\HSPASIA006.BGL DEL SCENERY\ASIA\SCENERY\HSPASIA006.BGL
IF EXIST SCENERY\ASIA\SCENERY\HSPASIA007.BGL DEL SCENERY\ASIA\SCENERY\HSPASIA007.BGL
IF EXIST SCENERY\ASIA\SCENERY\HSPASIA008.BGL DEL SCENERY\ASIA\SCENERY\HSPASIA008.BGL
IF EXIST SCENERY\ASIA\SCENERY\HSPASIA009.BGL DEL SCENERY\ASIA\SCENERY\HSPASIA009.BGL
IF EXIST SCENERY\ASIA\SCENERY\HSPASIA010.BGL DEL SCENERY\ASIA\SCENERY\HSPASIA010.BGL
IF EXIST SCENERY\ASIA\SCENERY\HSPASIA011.BGL DEL SCENERY\ASIA\SCENERY\HSPASIA011.BGL
IF EXIST "SCENERY\ASIA\SCENERY\Make Directory File List.exe" DEL "SCENERY\ASIA\SCENERY\Make Directory File List.exe"

IF EXIST SCENERY\EURE\SCENERY\HSPEURE001.BGL DEL SCENERY\EURE\SCENERY\HSPEURE001.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE002.BGL DEL SCENERY\EURE\SCENERY\HSPEURE002.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE003.BGL DEL SCENERY\EURE\SCENERY\HSPEURE003.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE004.BGL DEL SCENERY\EURE\SCENERY\HSPEURE004.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE005.BGL DEL SCENERY\EURE\SCENERY\HSPEURE005.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE006.BGL DEL SCENERY\EURE\SCENERY\HSPEURE006.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE007.BGL DEL SCENERY\EURE\SCENERY\HSPEURE007.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE008.BGL DEL SCENERY\EURE\SCENERY\HSPEURE008.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE009.BGL DEL SCENERY\EURE\SCENERY\HSPEURE009.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE010.BGL DEL SCENERY\EURE\SCENERY\HSPEURE010.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE011.BGL DEL SCENERY\EURE\SCENERY\HSPEURE011.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE012.BGL DEL SCENERY\EURE\SCENERY\HSPEURE012.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE013.BGL DEL SCENERY\EURE\SCENERY\HSPEURE013.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE014.BGL DEL SCENERY\EURE\SCENERY\HSPEURE014.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE015.BGL DEL SCENERY\EURE\SCENERY\HSPEURE015.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE016.BGL DEL SCENERY\EURE\SCENERY\HSPEURE016.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE017.BGL DEL SCENERY\EURE\SCENERY\HSPEURE017.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE018.BGL DEL SCENERY\EURE\SCENERY\HSPEURE018.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE019.BGL DEL SCENERY\EURE\SCENERY\HSPEURE019.BGL
IF EXIST SCENERY\EURE\SCENERY\HSPEURE020.BGL DEL SCENERY\EURE\SCENERY\HSPEURE020.BGL
IF EXIST "SCENERY\EURE\SCENERY\Make Directory File List.exe" DEL "SCENERY\EURE\SCENERY\Make Directory File List.exe"

IF EXIST SCENERY\BASE\SCENERY\DEL_LG0D.BGL DEL SCENERY\BASE\SCENERY\DEL_LG0D.BGL
IF EXIST SCENERY\BASE\SCENERY\DEL_LGEL.BGL DEL SCENERY\BASE\SCENERY\DEL_LGEL.BGL
IF EXIST SCENERY\BASE\SCENERY\DEL_LGKJ.BGL DEL SCENERY\BASE\SCENERY\DEL_LGKJ.BGL
IF EXIST SCENERY\BASE\SCENERY\DEL_LGPA.BGL DEL SCENERY\BASE\SCENERY\DEL_LGPA.BGL


ECHO   ORIGINAL MS FLIGHT SIMULATOR FILES ARE RESTORED SUCCESSFULLY!!!
ECHO.
ECHO   THANK YOU FOR USING HSP SCENERIES!!
PAUSE
IF EXIST HSP_BASEV2_INSTALL.BAT DEL HSP_BASEV2_INSTALL.BAT
DEL HSP_BASEV2_UNINSTALL.BAT
EXIT
:RECOMMEND_ABORT
ECHO DID NOT FIND SOME ORIGINAL MICROSOFT FILES!!!
ECHO THESE WERE POSSIBLY DELETED MANUALLY
ECHO EXITING UNINSTALL WITHOUT AFFECTING ANYTHING


